commit:     c945c1942af443e1959a6f1e144010ad4595d489
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 22 05:57:52 2015 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Sun Nov 22 05:57:52 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c945c194

use epatch to apply patch

Package-Manager: portage-2.2.20.1

 games-arcade/amphetamine/amphetamine-0.8.10.ebuild | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/games-arcade/amphetamine/amphetamine-0.8.10.ebuild 
b/games-arcade/amphetamine/amphetamine-0.8.10.ebuild
index 73d9b27..a93e702 100644
--- a/games-arcade/amphetamine/amphetamine-0.8.10.ebuild
+++ b/games-arcade/amphetamine/amphetamine-0.8.10.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=4
+EAPI=5
 inherit eutils games
 
 DESCRIPTION="a cool Jump'n Run game offering some unique visual effects"
@@ -17,12 +17,14 @@ IUSE=""
 
 DEPEND="media-libs/libsdl[sound,video]
        x11-libs/libXpm"
-RDEPEND="${DEPEND}"
+RDEPEND=${DEPEND}
 
-PATCHES=(
-       "${FILESDIR}"/${P}-build.patch
-       "${FILESDIR}"/${P}-64bit.patch
-)
+src_prepare() {
+       epatch \
+               "${FILESDIR}"/${P}-build.patch \
+               "${FILESDIR}"/${P}-64bit.patch
+       sed -i -e '55d' src/ObjInfo.cpp || die
+}
 
 src_compile() {
        emake INSTALL_DIR="${GAMES_DATADIR}"/${PN}

Reply via email to